<configuration>
    <configSections>
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="Wiseview_NMS_for_HFC.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
         </sectionGroup>
      <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    </configSections>
  
  
    <userSettings>
        <Wiseview_NMS_for_HFC.Properties.Settings>
            <setting name="DefaultUserGroup" serializeAs="String">
                <value>Root</value>
            </setting>
            <setting name="SMGPortName" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber01" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber02" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber03" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber04" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber05" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber06" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber07" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber08" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber09" serializeAs="String">
                <value />
            </setting>
            <setting name="MobileNumber10" serializeAs="String">
                <value />
            </setting>
            <setting name="UserName" serializeAs="String">
                <value />
            </setting>
        </Wiseview_NMS_for_HFC.Properties.Settings>
    </userSettings>

  <log4net>
    <!--<appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %-5level - %message%newline"/>
      </layout>
    </appender>-->


    <appender name="RollingFileAppender0" type="log4net.Appender.RollingFileAppender">
      <file value="log/logDebug.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Size"/>
      <maxSizeRollBackups value="100"/>
      <maximumFileSize value="1MB"/>
      <staticLogFileName value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %-5level %C - %message%newline"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG" />
      </filter>
    </appender>



    <appender name="RollingFileAppender1" type="log4net.Appender.RollingFileAppender">
      <file value="log/logInfo.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Size"/>
      <maxSizeRollBackups value="100"/>
      <maximumFileSize value="1MB"/>
      <staticLogFileName value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %-5level %C - %message%newline"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="INFO" />
      </filter>
    </appender>



    <appender name="RollingFileAppender2" type="log4net.Appender.RollingFileAppender">
      <file value="log/logWarn.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Size"/>
      <maxSizeRollBackups value="100"/>
      <maximumFileSize value="1MB"/>
      <staticLogFileName value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %-5level %C - %message%newline"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
      <levelMin value="WARN" />
      </filter>
    </appender>



    <appender name="RollingFileAppender3" type="log4net.Appender.RollingFileAppender">
      <file value="log/logError.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Size"/>
      <maxSizeRollBackups value="100"/>
      <maximumFileSize value="1MB"/>
      <staticLogFileName value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %-5level %C [%line] %n  - %message%newline"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="ERROR" />
      </filter>
    </appender>

    <root>
      <level value="INFO"/>
      <appender-ref ref="RollingFileAppender0"/>
      <appender-ref ref="RollingFileAppender1"/>
      <appender-ref ref="RollingFileAppender2"/>
      <appender-ref ref="RollingFileAppender3"/>
    </root>


    <logger name="logInfo">
      <level value="ALL"/>
      <appender-ref ref="RollingFileAppender1"/>
    </logger>
    
    <logger name="logError">
      <level value="ALL"/>
      <appender-ref ref="RollingFileAppender2"/>
    </logger>



  </log4net>
</configuration>